#include <reg52.h>
#define uint unsigned int
#define uchar unsigned char
sbit fm=P2^3;

void delay()	//延时函数
{	
	uchar i;					
	uint ms=1000;
	while(ms--)                             
	{
		for(i=0;i<120;i++);
	}
}

void main()   //主函数
{
	while(1)
	{
		fm=0;
		delay();   //约1秒延时
		fm=1;
		delay();
	}	
}